Subject: Re: Request for Comment: LED device naming for netdev LEDs

From: Pavel Machek <[email-masked]>
Date: Wed, 25 Nov 2020 11:59:43 +0100

Hi!

> > > What are your ideas about this problem?
> > > 
> > > Marek
> > 
> > BTW option b) and c) can be usable if we create a new utility, ledtool,
> > to report infromation about LEDs and configure LEDs.
> > 
> > In that case it does not matter if the LED is named
> >   ethernet-adapter0:red:activity
> > or
> >   ethernet-phy0:red:activity
> > because this new ledtool utility could just look deeper into sysfs to
> > find out that the LED corresponds to eth0, whatever it name is.
> 
> I like the idea to have such a tool.  What do you have in mind?  Sounds for me 
> like it would be somehow similar to libgpiod with gpio* for GPIO devices or 
> like libevdev for input devices or like mtd-utils …
> 
> Especially a userspace library could be helpful to avoid reinventing the wheel 
> on userspace developer side?
> 
> Does anyone else know prior work for linux leds sysfs interface from 
> userspace?

I have code in tui project which accesses the LEDs from python... and
I started writing ledtool in rust.

Anyway, I agree we should provide shared library, too. Going through
the fork/exec is just too ugly.

Best regards,
								Pavel
-- 
http://www.livejournal.com/~pavelmachek